wxWidgets: wxRichTextStdRenderer Class Reference

| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxRichTextStdRenderer Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextStdRenderer:
[legend]

## Detailed Description

The standard renderer for drawing bullets.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextRenderer, wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextStdRenderer ()
| Constructor. More...
virtual bool | DrawStandardBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)
| Draws a standard bullet, as specified by the value of GetBulletName. More...
virtual bool | DrawTextBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect, const wxString &text)
| Draws a bullet that can be described by text, such as numbered or symbol bullets. More...
virtual bool | DrawBitmapBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)
| Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName. More...
virtual bool | EnumerateStandardBulletNames (wxArrayString &bulletNames)
| Enumerate the standard bullet names currently supported. More...
Public Member Functions inherited from wxRichTextRenderer
| wxRichTextRenderer ()
| Constructor. More...
virtual | ~wxRichTextRenderer ()
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

wxRichTextStdRenderer::wxRichTextStdRenderer | ( |  | ) |
| inline

Constructor.

## Member Function Documentation

virtual bool wxRichTextStdRenderer::DrawBitmapBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect
| ) |  |
| virtual

Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName.

This function should be overridden.

Implements wxRichTextRenderer.

virtual bool wxRichTextStdRenderer::DrawStandardBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect
| ) |  |
| virtual

Draws a standard bullet, as specified by the value of GetBulletName.

This function should be overridden.

Implements wxRichTextRenderer.

virtual bool wxRichTextStdRenderer::DrawTextBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect,
|  | const wxString & | text
| ) |  |
| virtual

Draws a bullet that can be described by text, such as numbered or symbol bullets.

This function should be overridden.

Implements wxRichTextRenderer.

virtual bool wxRichTextStdRenderer::EnumerateStandardBulletNames | ( | wxArrayString & | bulletNames | ) |
| virtual

Enumerate the standard bullet names currently supported.

This function should be overridden.

Implements wxRichTextRenderer.